Bug 1004973 - [abrt] plater-0.0-30.20130711gitb8f549b.fc19: stlview.py:97:OnInitGL:AttributeError: 'module' object has no attribute 'Context'
[abrt] plater-0.0-30.20130711gitb8f549b.fc19: stlview.py:97:OnInitGL:Attribut...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: printrun (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
abrt_hash:f97054ae7f800244b51cec876ae...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 18:28 EDT by Felix Kaechele
Modified: 2013-09-15 20:31 EDT (History)
1 user (show)

See Also:
Fixed In Version: printrun-0.0-32.20130711gitb8f549b.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-15 20:29:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (587 bytes, text/plain)
2013-09-05 18:28 EDT, Felix Kaechele
no flags Details
File: environ (2.52 KB, text/plain)
2013-09-05 18:28 EDT, Felix Kaechele
no flags Details

  None (edit)
Description Felix Kaechele 2013-09-05 18:28:18 EDT
Description of problem:
This error occurs right after plater is started. No actions need to be performed to trigger the error.

Version-Release number of selected component:
plater-0.0-30.20130711gitb8f549b.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/plater.py
dso_list:       printrun-common-0.0-30.20130711gitb8f549b.fc19.x86_64
executable:     /usr/bin/plater.py
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
stlview.py:97:OnInitGL:AttributeError: 'module' object has no attribute 'Context'

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/printrun/gl/panel.py", line 78, in processPaintEvent
    self.OnInitGL()
  File "/usr/lib64/python2.7/site-packages/printrun/stlview.py", line 97, in OnInitGL
    self.pygletcontext = gl.Context(gl.current_context)
AttributeError: 'module' object has no attribute 'Context'

Local variables in innermost frame:
self: <printrun.stlview.StlViewPanel; proxy of <Swig Object of type 'wxPanel *' at 0x3b278c0> >
call_reshape: True
Comment 1 Felix Kaechele 2013-09-05 18:28:21 EDT
Created attachment 794531 [details]
File: backtrace
Comment 2 Felix Kaechele 2013-09-05 18:28:24 EDT
Created attachment 794532 [details]
File: environ
Comment 3 Fedora Update System 2013-09-06 10:45:49 EDT
printrun-0.0-32.20130711gitb8f549b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/printrun-0.0-32.20130711gitb8f549b.fc19
Comment 4 Fedora Update System 2013-09-06 10:46:43 EDT
printrun-0.0-32.20130711gitb8f549b.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/printrun-0.0-32.20130711gitb8f549b.fc18
Comment 5 Fedora Update System 2013-09-06 21:25:10 EDT
Package printrun-0.0-32.20130711gitb8f549b.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing printrun-0.0-32.20130711gitb8f549b.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15986/printrun-0.0-32.20130711gitb8f549b.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-09-15 20:29:46 EDT
printrun-0.0-32.20130711gitb8f549b.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-15 20:31:45 EDT
printrun-0.0-32.20130711gitb8f549b.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.